# frozen_string_literal: true

require_relative "lib/train/k8s/container/version"

Gem::Specification.new do |spec|
  spec.name = "train-k8s-container"
  spec.version = Train::K8s::Container::VERSION
  spec.authors = ["Chef InSpec Team"]
  spec.email = ["inspec@progress.com"]

  spec.summary = "Transport for Kubernetes containers for use with Chef InSpec."
  spec.description = "Transport for Kubernetes containers for use with Chef InSpec."
  spec.homepage = "https://github.com/inspec/train-k8s-container"
  spec.license = "Apache-2.0"
  spec.required_ruby_version = ">= 3.0.3"

  spec.metadata["allowed_push_host"] = "TODO: Set to your gem server 'https://example.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/inspec/train-k8s-container"
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(__dir__) do
    `git ls-files -z`.split("\x0").reject do |f|
      (File.expand_path(f) == __FILE__) || f.start_with?(*%w{bin/ test/ spec/ features/ .git})
    end
  end
  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "train", "~> 3.0"
  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, check out our
  # guide at: https://bundler.io/guides/creating_gem.html
end
